<?php

if ( ! defined('_PS_VERSION_')) {
    exit;
}

/**
 * Class MultiParcels_Shipping_Helper
 */
class MultiParcels_Shipping_Helper
{

    /**
     * @var \Multiparcelsshipping
     */
    private $module;

    /**
     * MultiParcels_Shipping_Helper constructor.
     *
     * @param  \Multiparcelsshipping  $module
     */
    public function __construct(Multiparcelsshipping $module)
    {
        $this->module = $module;
    }

    public function redirectToConfiguration()
    {
        Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules',
            true,
            [],
            [
                'configure' => Multiparcelsshipping::NAME,
            ]));
        die();
    }

    public function redirectToReload()
    {
        Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules',
            true,
            [],
            [
                'configure' => Multiparcelsshipping::NAME,
                'action'    => Multiparcelsshipping::ACTION_RELOAD,
            ]));
        die();
    }

    public function redirectAfterReload($count)
    {
        Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules',
            true,
            [],
            [
                'configure'         => Multiparcelsshipping::NAME,
                'update_successful' => $count,
            ]));
        die();
    }

}
