<?php

class MultiparcelsshippingCronModuleFrontController extends
    ModuleFrontController
{

    /** @var bool $auth */
    public $auth = false;

    /** @var bool $ajax */
    public $ajax;

    /** @var \Multiparcelsshipping */
    public $module;

    public function display()
    {
        $this->ajax = 1;

        if ($this->module->configuration->getCronToken() != Tools::getValue('token')) {
            $this->ajaxRender();
            exit;
        }

        $lastUpdate = time() - strtotime($this->module->configuration->getLastUpdateAt());

        // to prevent accidental one minute crons
        if ($lastUpdate < (60 * 60)) {
            $this->ajaxRender("Maximum one update per hour");
            exit;
        }

        $this->module->api->reload();

        $this->ajaxRender("OK");
    }

}
